<template>
  <main class="main-content">
    <section class="intro-section">
      <figure class="image-container">
        <img
          loading="lazy"
          src="https://cdn.builder.io/api/v1/image/assets/TEMP/25f14e6c2fe02a8131e38a0b8a81794500699e6b9167c653ab11decc046bf46b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&"
          alt="Background with decorative design"
          class="intro-image"
        />
        <figcaption class="image-caption">
          Hey, you can take this<br />screen UI, CSS, Swift and <br />Android code for free
        </figcaption>
      </figure>
    </section>
    <section class="form-section">
      <header class="form-header">
        <h1 class="form-title">Bluebaycreaters</h1>
        <h2 class="form-subtitle">Register your account</h2>
      </header>
      <form class="registration-form">
        <label for="emailInput" class="form-label">Email</label>
        <input
          class="form-input"
          type="email"
          id="emailInput"
          placeholder="Please enter your email"
          aria-label="Enter your email"
        />
        <label for="passwordInput" class="form-label">Password</label>
        <input
          class="form-input"
          type="password"
          id="passwordInput"
          placeholder="Please enter your password"
          aria-label="Enter your password"
        />
        <label for="confirmPasswordInput" class="form-label">Confirm Password</label>
        <input
          class="form-input"
          type="password"
          id="confirmPasswordInput"
          placeholder="Confirm your password"
          aria-label="Confirm your password"
        />
        <div class="form-footer">
          <span class="already-registered">Already Registered?</span>
          <button class="submit-button" type="submit">Submit</button>
        </div>
        <p class="form-note"> Hey!! This design is absolutely free for you. </p>
      </form>
    </section>
  </main>
</template>

<style scoped>
.main-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1px 0;
}
.intro-section {
  background-color: #fffdfd;
  width: 100%;
  padding: 1px 0;
}
@media (max-width: 991px) {
  .intro-section {
    max-width: 100%;
  }
}
.image-container {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  position: relative;
  min-height: 1080px;
  font-size: 40px;
  color: #fffdfd;
  font-weight: 700;
  text-align: center;
  justify-content: center;
}
@media (max-width: 991px) {
  .image-container {
    max-width: 100%;
    margin-top: 40px;
  }
}
.intro-image {
  position: absolute;
  inset: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.image-caption {
  position: relative;
  font-family: Poppins, sans-serif;
  background-color: rgba(52, 133, 255, 0.3);
  align-items: center;
  justify-content: center;
  padding: 483px 60px 356px;
}
@media (max-width: 991px) {
  .image-caption {
    max-width: 100%;
    padding: 40px 20px;
  }
}
.form-section {
  display: flex;
  flex-direction: column;
  width: 50%;
  margin-left: 20px;
}
@media (max-width: 991px) {
  .form-section {
    width: 100%;
  }
}
.form-header {
  display: flex;
  flex-direction: column;
  align-items: end;
  margin: auto 0;
  padding: 0 20px;
}
@media (max-width: 991px) {
  .form-header {
    max-width: 100%;
    margin-top: 40px;
  }
}
.form-title {
  color: #000;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-title {
    margin-right: 10px;
  }
}
.form-subtitle {
  color: #3e4772;
  margin-top: 44px;
  font: 700 60px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-subtitle {
    max-width: 100%;
    margin-top: 40px;
    font-size: 40px;
  }
}
.registration-form {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  width: 724px;
  max-width: 100%;
}
.form-label {
  color: #000;
  font: 400 30px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-label {
    margin-right: 10px;
  }
}
.form-input {
  border-radius: 30px;
  background-color: #f1f1f1;
  color: rgba(0, 0, 0, 0.2);
  padding: 29px 60px;
  font: 400 30px Poppins, sans-serif;
  margin-top: 20px;
}
@media (max-width: 991px) {
  .form-input {
    max-width: 100%;
    padding: 0 20px;
  }
}
.form-footer {
  display: flex;
  margin-top: 66px;
  gap: 20px;
}
@media (max-width: 991px) {
  .form-footer {
    flex-wrap: wrap;
    margin: 40px 10px 0 0;
  }
}
.already-registered {
  color: #494f7a;
  flex-grow: 1;
  margin: auto 0;
  font: 400 25px Poppins, sans-serif;
}
.submit-button {
  border-radius: 30px;
  background-color: #2e375d;
  color: #fff;
  padding: 24px 60px;
  font: 700 35px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .submit-button {
    padding: 0 24px 0 20px;
  }
}
.form-note {
  color: rgba(0, 0, 0, 0.5);
  margin-top: 32px;
  font: 400 20px Poppins, sans-serif;
}
@media (max-width: 991px) {
  .form-note {
    max-width: 100%;
  }
}
</style>